#
# spec file for package girl
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           girl
Version:        5.0.0
Release:        4.3
Summary:        Find live radio programs on radio broadcasters on the Internet
License:        GPL-2.0+
Group:          Productivity/Multimedia/Sound/Utilities
Url:            http://www.ping.uio.no/~oka/src/girl/
Source:         https://download.gnome.org/sources/girl/5.0/%{name}-%{version}.tar.xz
# PATCH-FIX-UPSTREAM girl-no-return-in-nonvoid.patch dimstar@opensuse.org -- Change definition of girl_archive_new from gint to void (there is currently no code in this function). Not submitted upstream: the function is obviously only a place-holder.
Patch0:         girl-no-return-in-nonvoid.patch
BuildRequires:  desktop-file-utils
BuildRequires:  fdupes
BuildRequires:  hicolor-icon-theme
BuildRequires:  intltool
BuildRequires:  itstool
BuildRequires:  pkgconfig(gnome-vfs-2.0)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(libgnome-2.0)
BuildRequires:  pkgconfig(libgnomecanvas-2.0)
BuildRequires:  pkgconfig(libgnomeui-2.0)
BuildRequires:  pkgconfig(libxml-2.0)
Requires:       totem
Recommends:     %{name}-lang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Girl, the GNOME Internet Radio Locator program, allows users to easily
find live radio programs on radio broadcasters on the Internet.  Girl
is developed on the new GNOME platform and requires at least one audio
helper such as totem to be installed.  Enjoy Internet Radio.

%lang_package

%prep
%setup -q
%patch0 -p1

%build
%configure
make %{?_smp_mflags}

%install
%make_install %{?_smp_mflags}
%find_lang %{name} %{?no_lang_C} girl.lang
%fdupes %{buildroot}%{_datadir}/%{name}/

%post
%icon_theme_cache_post
%desktop_database_post

%postun
%icon_theme_cache_postun
%desktop_database_postun

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog README COPYING THANKS NEWS LETTER
%{_bindir}/girl
%{_datadir}/girl/
%{_datadir}/applications/%{name}.desktop
%dir %{_datadir}/icons/hicolor/1024x1024
%dir %{_datadir}/icons/hicolor/1024x1024/apps
%{_datadir}/icons/hicolor/*/apps/*.png
%dir %{_datadir}/appdata
%{_datadir}/appdata/*.xml
%{_mandir}/man1/girl.1%{?ext_man}
%dir %{_datadir}/help/C/girl
%{_datadir}/help/C/girl/*.page
%dir %{_datadir}/help/C/girl/media
%{_datadir}/help/C/girl/media/*.png

%files lang -f %{name}.lang
%defattr(-,root,root)

%changelog
* Sun May 10 2015 zaitor@opensuse.org
- Update to version 5.0.0:
  + Added stations: Radio Universidad, WUMR and Stockholm College
    Radio.
* Sun May  3 2015 zaitor@opensuse.org
- Update to version 4.0.0:
  + Added stations: DCUfm, Radio Revolt, UWSRadio,
    Universitetsradioen.
  + Updated translations.
* Wed Apr 29 2015 zaitor@opensuse.org
- Update to version 3.1.0:
  + Added stations: RÚV and Radio AF.
  + Updated translations.
- Changes from version 3.0.0:
  + Support Mac OS X build.
  + Added stations: KTUH and Radio Eco.
- Changes from version 2.0.0:
  + Added stations: UCT Radio, NRK P1, NRK P2, NRK P3 and NRK
    Urørt.
  + Updated translations.
- Add itstool BuildRequries: New dependency.
* Mon Mar 23 2015 dimstar@opensuse.org
- Update to version 1.9.0:
  + Added stations: CHUO and CFRC.
- Changes from version 1.8.0:
  + New documentation.
- Changes from version 1.7.0:
  + Added station: radiOrakel.
  + Updated translations.
* Mon Mar  9 2015 dimstar@opensuse.org
- Add girl-no-return-in-nonvoid.patch: Fix build by changing the
  function declaration of girl_archive_new.
* Sat Mar  7 2015 dimstar@opensuse.org
- Update to version 1.6.0:
  + Added stations: KXSC, KASC, WPTS and WTBU.
* Sun Mar  1 2015 dimstar@opensuse.org
- Update to version 1.5.0:
  + Added Stations:
  - Add Radio NRJ Bern (bgo#745087).
  - Add SoundFM (soundfm.ca)Stations.
  + Updated translations.
* Sun Feb 22 2015 dimstar@opensuse.org
- Update to version 1.4.0:
  + Added new stations.
  + Updated translations.
* Sat Feb 14 2015 zaitor@opensuse.org
- Update to version 1.3.0:
  + Updated translations.
* Thu Feb  5 2015 dimstar@opensuse.org
- Update to version 1.2.0:
  + Revamp build system.
  + Updated translations.
- Drop girl-revamp-build-system.patch:: fixed upstream.
- Drop libtool BuildRequires and call to autoreconf, as we no
  longer carry patches touching the build system.
* Thu Jan 22 2015 dimstar@opensuse.org
- Add girl-revamp-build-system.patch: Revamp the build system to be
  more in line what autoconf would expect. As a side effefct, this
  fixes building with -Wl,--as-needed (so remove that hack).
- Add libtool BuildRequires and call to autoreconf, as above patch
  touches the build system.
* Thu Jan 22 2015 dimstar@opensuse.org
- Update to version 1.1.0:
  + Updated translations.
* Sun Dec 28 2014 badshah400@gmail.com
- Initial package, version 1.0.0.
